## qt3d-opensource-src 5.15.8

=== debian/changelog ===
qt3d-opensource-src (5.15.8-1+dde) unstable; urgency=medium

  * New upstream release (5.15.8).

 -- Lu YaNing <luyaning@uniontech.com>  Mon, 16 Jan 2023 15:05:22 +0800

qt3d-opensource-src (5.15.6-1+dde) unstable; urgency=medium

  * New upstream release (5.15.6).

 -- Duan Ting <duanting@uniontech.com>  Thu, 22 Sep 2022 13:29:23 +0800

=== debian/control ===
Source: qt3d-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.17.14),
               libassimp-dev (>= 4.1),
               libgl1-mesa-dri <!nocheck>,
               libqt5opengl5-dev (>= 5.15.8~),
               pkg-kde-tools,
               pkgconf,
               qtbase5-dev (>= 5.15.8~),
               qtbase5-private-dev (>= 5.15.8~),
               qtdeclarative5-private-dev (>= 5.15.8~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>,
                     qtdeclarative5-doc-html (>= 5.15.8~) <!nodoc>
Standards-Version: 4.6.0
Homepage: https://doc.qt.io/qt-5/qt3d-index.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d

Package: libqt53dcore5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 3D module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Core module.

Package: libqt53dquick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick module.

Package: libqt53dquickrender5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick Renderer module.

Package: libqt53dinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Input module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Input module.

Package: libqt53drender5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Renderer module.

Package: libqt53dlogic5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D logic module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Logic module.

Package: libqt53dquickinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick input
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick input module.

Package: libqt53dquickextras5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick extras
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick extras module.

Package: libqt53dextras5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D extras
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D extras module.

Package: libqt53dquickscene2d5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick scene module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 2D module.

Package: libqt53danimation5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D animation module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Animation module.

Package: libqt53dquickanimation5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick animation module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Animation module.

Package: qt3d5-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qt3d-assimpsceneio-plugin (<< 5.9.0+dfsg-1~),
        qt3d-gltfsceneio-plugin (<< 5.9.2+dfsg-1~)
Replaces: qt3d-assimpsceneio-plugin (<< 5.9.0+dfsg-1~),
          qt3d-gltfsceneio-plugin (<< 5.9.2+dfsg-1~)
Description: Qt 3D development tools
 Qt 3D provides functionality for near-realtime simulation systems with
 support for 2D and 3D rendering in both Qt C++ and Qt Quick applications.
 .
 This package contains development programs to use with Qt 3D.
 .
 At the moment there is only one tool here, qgltf, which can be used to
 import a variety of 3D model formats and export it into fast-to-load,
 optimized glTF assets embedded into Qt resource files.

Package: qt3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Transmission Format scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Assimp scene import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's Assimp scene import plugin.

Package: qt3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's default geometry loader plugin.

Package: qt3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's Scene 2D plugin.

Package: qml-module-qt3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 3D QML module.

Package: qml-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 3D QML module.

Package: qml-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 2D QML module.

Package: qt3d5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt53danimation5 (= ${binary:Version}),
         libqt53dcore5 (= ${binary:Version}),
         libqt53dextras5 (= ${binary:Version}),
         libqt53dinput5 (= ${binary:Version}),
         libqt53dlogic5 (= ${binary:Version}),
         libqt53dquick5 (= ${binary:Version}),
         libqt53dquickanimation5 (= ${binary:Version}),
         libqt53dquickextras5 (= ${binary:Version}),
         libqt53dquickinput5 (= ${binary:Version}),
         libqt53dquickrender5 (= ${binary:Version}),
         libqt53dquickscene2d5 (= ${binary:Version}),
         libqt53drender5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Suggests: qt3d5-doc, qt3d5-doc-html
Description: Qt 5 3D development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt 3D library.

Package: qt3d5-examples
Architecture: any
Multi-Arch: same
Section: x11
Depends: qml-module-qt3d,
         qml-module-qtquick-scene3d,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 3d examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 3D examples.

Package: qt3d5-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends: ${misc:Depends}
Description: Qt 3D documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 3D libraries.

Package: qt3d5-doc-html
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends: ${misc:Depends}

## qt3d-opensource-src 5.15.8%2Bdfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.8+dfsg-2+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 5.15.1+dfsg-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 12 Nov 2020 12:19:45 +0000]
  * Update symbols file for raspbian.
  * Disable testsuite.
  * Fix clean target.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 26 Jan 2023 10:19:54 +0000

qt3d-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:14 +0400

qt3d-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Exclude assimp from the tarball, to reduce size and simplify copyright.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 01:43:03 +0400

qt3d-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:02 +0300

qt3d-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:52:21 +0300

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.prl

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf
	dh_link --remaining-packages

override_dh_auto_test-arch:
	# Hangs on ppc*, s390x: https://bugreports.qt.io/browse/QTBUG-63864
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el s390x))
	#-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	#dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
else
	#xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	#dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
endif

override_dh_auto_test-indep:

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tests/auto/cmake/build
	rm -rf doc
	rm -f config.summary config.tests/.qmake.cache config.tests/.qmake.stash qml/Qt3D/Animation/plugins.qmltypes qml/Qt3D/Animation/qmldir qml/Qt3D/Core/plugins.qmltypes qml/Qt3D/Core/qmldir qml/Qt3D/Extras/plugins.qmltypes qml/Qt3D/Extras/qmldir qml/Qt3D/Input/plugins.qmltypes qml/Qt3D/Input/qmldir qml/Qt3D/Logic/plugins.qmltypes qml/Qt3D/Logic/qmldir qml/Qt3D/Render/plugins.qmltypes qml/Qt3D/Render/qmldir qml/QtQuick/Scene2D/plugins.qmltypes qml/QtQuick/Scene2D/qmldir qml/QtQuick/Scene3D/plugins.qmltypes qml/QtQuick/Scene3D/qmldir src/animation/Qt3DAnimation.version.in src/core/Qt3DCore.version.in src/core/qt3dcore-config.h src/core/qt3dcore-config.pri src/core/qt3dcore-config_p.h src/doc/codeattributions.qdoc src/extras/Qt3DExtras.version.in src/input/Qt3DInput.version.in src/logic/Qt3DLogic.version.in src/plugins/geometryloaders/qtgeometryloaders-config.pri src/plugins/geometryloaders/qtgeometryloaders-config_p.h src/quick3d/quick3d/Qt3DQuick.version.in src/quick3d/quick3danimation/Qt3DQuickAnimation.version.in src/quick3d/quick3dextras/Qt3DQuickExtras.version.in src/quick3d/quick3dinput/Qt3DQuickInput.version.in src/quick3d/quick3drender/Qt3DQuickRender.version.in src/quick3d/quick3dscene2d/Qt3DQuickScene2D.version.in src/render/Qt3DRender.version.in src/render/qt3drender-config.pri src/render/qt3drender-config_p.h tests/manual/rhi/.rcc/qmake_qmake_immediate.qrc

## qt3d-opensource-src 5.15.8+dfsg

=== debian/control ===
--- 
+++ 
@@ -12,21 +12,21 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.8~),
+               libqt5opengl5-dev (>= 5.15.8+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.8~),
-               qtbase5-private-dev (>= 5.15.8~),
-               qtdeclarative5-private-dev (>= 5.15.8~),
+               qtbase5-dev (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
                      qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.8~) <!nodoc>
-Standards-Version: 4.6.0
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -341,4 +341,3 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
-Depends: ${misc:Depends}

## qt3d-opensource-src 5.15.10+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:03:51 +0300

qt3d-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jun 2023 23:46:07 +0300

qt3d-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 00:06:37 +0300

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.8+dfsg~),
+               libqt5opengl5-dev (>= 5.15.10+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.8+dfsg~),
-               qtbase5-private-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
+               qtbase5-dev (>= 5.15.10+dfsg~),
+               qtbase5-private-dev (>= 5.15.10+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.10+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git

## qt3d-opensource-src 5.15.13+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Mar 2024 17:57:25 +0300

qt3d-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 00:58:06 +0300

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.10+dfsg~),
+               libqt5opengl5-dev (>= 5.15.13+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.10+dfsg~),
-               qtbase5-private-dev (>= 5.15.10+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.10+dfsg~),
+               qtbase5-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.prl

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf
	dh_link --remaining-packages

override_dh_auto_test-arch:
	# Hangs on ppc*, s390x: https://bugreports.qt.io/browse/QTBUG-63864
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el s390x))
	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
else
	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
endif

override_dh_auto_test-indep:

## qt3d-opensource-src 5.15.15+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  * Remove "+extension EGL" from xvfb-run call to fix build on armhf.
  * Stop ignoring the tests result on s390x.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Oct 2024 17:12:01 +0300

qt3d-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:36:44 +0300

qt3d-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Sep 2024 12:12:19 +0300

qt3d-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:43:48 +0300

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,29 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Timo Jyrinki <timo@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.13+dfsg~),
+               libqt5opengl5-dev (>= 5.15.15+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.13+dfsg~),
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.13+dfsg~),
+               qtbase5-dev (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
@@ -341,3 +339,5 @@
 Architecture: all
 Build-Profiles: <!nodoc>
 Section: doc
+Depends: ${misc:Depends}
+Description: Qt 3D HTML documentation

## qt3d-opensource-src 5.15.17%2Bdfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.17+dfsg-2build1) resolute; urgency=medium

  * Rebuild against latest assimp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Oct 2025 09:43:45 -0400

qt3d-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 22:59:29 +0300

qt3d-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 22:40:27 +0300

## qt3d-opensource-src 5.15.17+dfsg

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

set(QAspectEngine_NAMESPACE Qt3DCore)
set(QMesh_NAMESPACE Qt3DRender)

test_module_includes(
  3DCore QAspectEngine
  3DRender QMesh
)

=== debian/changelog ===
qt3d-opensource-src (5.15.17+dfsg-2+rpi1) forky-staging; urgency=medium

  [changes brought forward from 5.15.1+dfsg-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 12 Nov 2020 12:19:45 +0000]
  * Update symbols file for raspbian.
  * Disable testsuite.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 03 Feb 2026 21:52:42 +0000

=== debian/rules ===
--- 
+++ 
@@ -29,13 +29,19 @@
 	dh_link --remaining-packages
 
 override_dh_auto_test-arch:
-	# Hangs on ppc*, s390x: https://bugreports.qt.io/browse/QTBUG-63864
-ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el s390x))
-	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
-	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
+	# Hangs on ppc*: https://bugreports.qt.io/browse/QTBUG-63864
+ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el))
+	#-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
+	#dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
 else
-	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
-	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
+	#xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
+	#dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
 endif
 
 override_dh_auto_test-indep:
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf tests/auto/cmake/build
+	rm -rf doc
+	rm -f config.summary config.tests/.qmake.cache config.tests/.qmake.stash qml/Qt3D/Animation/plugins.qmltypes qml/Qt3D/Animation/qmldir qml/Qt3D/Core/plugins.qmltypes qml/Qt3D/Core/qmldir qml/Qt3D/Extras/plugins.qmltypes qml/Qt3D/Extras/qmldir qml/Qt3D/Input/plugins.qmltypes qml/Qt3D/Input/qmldir qml/Qt3D/Logic/plugins.qmltypes qml/Qt3D/Logic/qmldir qml/Qt3D/Render/plugins.qmltypes qml/Qt3D/Render/qmldir qml/QtQuick/Scene2D/plugins.qmltypes qml/QtQuick/Scene2D/qmldir qml/QtQuick/Scene3D/plugins.qmltypes qml/QtQuick/Scene3D/qmldir src/animation/Qt3DAnimation.version.in src/core/Qt3DCore.version.in src/core/qt3dcore-config.h src/core/qt3dcore-config.pri src/core/qt3dcore-config_p.h src/doc/codeattributions.qdoc src/extras/Qt3DExtras.version.in src/input/Qt3DInput.version.in src/logic/Qt3DLogic.version.in src/plugins/geometryloaders/qtgeometryloaders-config.pri src/plugins/geometryloaders/qtgeometryloaders-config_p.h src/quick3d/quick3d/Qt3DQuick.version.in src/quick3d/quick3danimation/Qt3DQuickAnimation.version.in src/quick3d/quick3dextras/Qt3DQuickExtras.version.in src/quick3d/quick3dinput/Qt3DQuickInput.version.in src/quick3d/quick3drender/Qt3DQuickRender.version.in src/quick3d/quick3dscene2d/Qt3DQuickScene2D.version.in src/render/Qt3DRender.version.in src/render/qt3drender-config.pri src/render/qt3drender-config_p.h tests/manual/rhi/.rcc/qmake_qmake_immediate.qrc

## qt3d-opensource-src 5.15.17+p24.04+vrelease+git20250828.1415

=== debian/changelog ===
qt3d-opensource-src (5.15.17+p24.04+vrelease+git20250828.1415-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:16:00 +0000

qt3d-opensource-src (5.15.17+dfsg-0neon) noble; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qt3d-opensource-src (5.15.13+dfsg-0neon) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

  [ Jonathan Riddell ]
  * New rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 13:04:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,35 @@
 Source: qt3d-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>,
+Uploaders: Timo Jyrinki <timo@debian.org>,
+           Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.15+dfsg~),
+               libqt5opengl5-dev (>= 5.15.5+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.15+dfsg~),
-               qtbase5-private-dev (>= 5.15.15+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.15+dfsg~),
+               qtbase5-dev (>= 5.15.5+dfsg~),
+               qtbase5-private-dev (>= 5.15.5+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.5+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
-Standards-Version: 4.7.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.5+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.5+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
+Vcs-Git: https://invent.kde.org/neon/qt/qt3d.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qt3d
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt53dcore5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep: build-arch
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.prl

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf
	dh_link --remaining-packages

override_dh_auto_test-arch:
	# Hangs on ppc*, s390x: https://bugreports.qt.io/browse/QTBUG-63864
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el s390x))
	-xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
else
	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX +extension EGL" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
endif

override_dh_auto_test-indep:

## qt3d-opensource-src 5.15.17+p24.04+vstable+git20250828.1416

=== debian/changelog ===
qt3d-opensource-src (5.15.17+p24.04+vstable+git20250828.1416-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 14:16:30 +0000

## qt3d-opensource-src 5.15.18+dfsg

=== debian/changelog ===
qt3d-opensource-src (5.15.18+dfsg-1ubuntu1) resolute; urgency=medium

  * Disable amd64v3 unconditionally (LP: #2138711)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 17 Feb 2026 17:00:36 +0000

qt3d-opensource-src (5.15.18+dfsg-1) experimental; urgency=medium

  * Make the tests non-fatal on all architectures. They should pass with
    the latest qtbase (see #1122641).
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.18.
  * Update debian/libqt53drender5.symbols for hurd-i386.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Bump Standards-Version to 4.7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jan 2026 23:51:22 +0300

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,33 @@
 Source: qt3d-opensource-src
 Section: libs
-Priority: optional
-Uploaders: Timo Jyrinki <timo@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                libassimp-dev (>= 4.1),
                libgl1-mesa-dri <!nocheck>,
-               libqt5opengl5-dev (>= 5.15.5+dfsg~),
+               libqt5opengl5-dev (>= 5.15.18+dfsg~),
                pkg-kde-tools,
                pkgconf,
-               qtbase5-dev (>= 5.15.5+dfsg~),
-               qtbase5-private-dev (>= 5.15.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.5+dfsg~),
+               qtbase5-dev (>= 5.15.18+dfsg~),
+               qtbase5-private-dev (>= 5.15.18+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.18+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.5~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.5~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.5+dfsg~) <!nodoc>,
-                     qtdeclarative5-doc-html (>= 5.15.5+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.18~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.18~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.18~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.18+dfsg~) <!nodoc>,
+                     qtdeclarative5-doc-html (>= 5.15.18+dfsg~) <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://doc.qt.io/qt-5/qt3d-index.html
-Vcs-Git: https://invent.kde.org/neon/qt/qt3d.git
-Vcs-Browser: https://invent.kde.org/neon/qt/qt3d
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qt3d.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qt3d
 
 Package: libqt53dcore5
 Architecture: any
@@ -342,4 +340,3 @@
 Build-Profiles: <!nodoc>
 Section: doc
 Depends: ${misc:Depends}
-Description: Qt 3D HTML documentation

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_STRIP = -march=x86-64-v3
export DEB_CXXFLAGS_MAINT_STRIP = -march=x86-64-v3

export QT_SELECT=qt5
include /usr/share/dpkg/default.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.prl

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link -pqt3d5-dev-tools usr/lib/qt5/bin/qgltf usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qgltf
	dh_link --remaining-packages

override_dh_auto_test-arch:
	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	dh_auto_test --max-parallel=1 -- -Ctests/auto QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml

override_dh_auto_test-indep:
